%define summary		SuperKaramba allows you to create cool desktop widgets.
%define name		superkaramba
%define version 	0.36
%define release 	1%{_my_ext}

Name:			%{name}
Version:		%{version}
Release:		%{release}
Vendor:			%{vendor}
Packager:		%{packager}
Distribution:		%{distribution}
Summary:		%summary
Copyright:		GPL
URL:			http://netdragon.sourceforge.net/
Group:			Toys
Source:			%{name}-%{version}.tar.bz2

%define python_version	%(rpm -q --qf '%%{version}' python)

BuildRoot:		%{_tmppath}/%{name}-%{version}-root

Requires:		python
BuildRequires:		python-devel

%description
SuperKaramba allows you to create cool desktop widgets with little to no programming experience.
It's similar to "Konfabulator" for the Mac.

This package is made for MDK 10.x because Mandrake does not keep it updated in there RPM tree's.

Build Options:
	--prefix=/usr
%prep
%setup -q

%build

#we don't use libtool 1.5 yet
#%define __libtoolize /bin/true

%configure --prefix=/usr

make

%install

# remove all CVS files so that they don't get "accidently" installed
for CVSDIR in `find . -type d -name CVS` ; do
    rm -rf $CVSDIR
done

make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/ $RPM_BUILD_ROOT%{_liconsdir}/ $RPM_BUILD_ROOT%{_miconsdir}
cp $RPM_BUILD_DIR/%{name}-%{version}/lo32-app-karamba.png $RPM_BUILD_ROOT%{_liconsdir}/karamba.png
cp $RPM_BUILD_DIR/%{name}-%{version}/lo16-app-karamba.png $RPM_BUILD_ROOT%{_miconsdir}/karamba.png
cp $RPM_BUILD_DIR/%{name}-%{version}/lo32-app-karamba.png $RPM_BUILD_ROOT%{_iconsdir}/karamba.png


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/pixmaps/ $RPM_BUILD_ROOT%{_menudir}/ $RPM_BUILD_ROOT%{_datadir}/applnk-mdk/System/Monitoring

cp $RPM_BUILD_DIR/%{name}-%{version}/superkaramba.desktop $RPM_BUILD_ROOT%{_menudir}/superkaramba.desktop
cp $RPM_BUILD_DIR/%{name}-%{version}/superkaramba.desktop $RPM_BUILD_ROOT%{_datadir}/applications/superkaramba.desktop
cp $RPM_BUILD_DIR/%{name}-%{version}/superkaramba.desktop $RPM_BUILD_ROOT%{_datadir}/applnk-mdk/System/Monitoring/superkaramba.desktop
cp $RPM_BUILD_DIR/%{name}-%{version}/skicon.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/clanbomber.xpm

cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%name): needs="x11" \
        section="System/Monitoring" \
        title="SuperKaramba" \
        longtitle="An engine for cool desktop eyecandy." \
        command="%{_bindir}/%{name}" \
        icon="/usr/share/pixmaps/clanbomber.xpm"
EOF

%files

%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO examples doc
%{_bindir}/superkaramba

%{_datadir}/applications/superkaramba.desktop
%{_datadir}/pixmaps/clanbomber.xpm
%{_menudir}/*
%{_iconsdir}/karamba.png
%{_liconsdir}/karamba.png
%{_miconsdir}/karamba.png

%{_datadir}/applnk/Utilities/karamba.desktop
%{_datadir}/applnk-mdk/System/Monitoring/superkaramba.desktop
%{_datadir}/apps/superkaramba/karambaui.rc
%{_datadir}/doc/HTML/en/karamba/common
%{_datadir}/doc/HTML/en/karamba/index.cache.bz2
%{_datadir}/doc/HTML/en/karamba/index.docbook


%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Wed Apr 20 2005 Scott Grayban <sgrayban@borgnet.us> 0.36-1bgn
  - See Changelog for changes - to many to list here
  - Major change is python 2.4 support

* Wed Nov 17 2004 Scott Grayban <sgrayban@borgnet.us> 0.35-3bgn
  - Rebuild from the released version
  - Build with libtoolize
  - Fixed spec file to include the doc directory when installing the rpm
  - Fixed the Group description
  - examples directory in now installed in the /usr/share/superkaramba directory
  
* Wed Nov 10 2004 Scott Grayban <sgrayban@borgnet.us> 0.35-2bgn
  - Re-Build for MDK 10.1
    
* Wed Oct 6 2004 <sgrayban@borgnet.us> 0.35
  - Build against CVS version dated Wed Oct 6 2004
  
